Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP plugins ] prix intéressants pendant le black friday
par tenrev Hier à 21:07

» [ ARCHICAD-OBJETS GDL ] LIBRARY PART MARKER / PARAM-O- Où trouver des tutos ?
par Coulou Hier à 16:14

» [ ARTLANTIS ] Quoi de neuf
par Yanosh HRDY Hier à 15:11

» [ SKETCHUP tutos ] APPRENDRE SKETCHUP - TUTO 2 - Supprimer et Ajouter des éléments
par jerryvento Hier à 13:20

» [ AUTRES LOGICIELS ] Logiciel COVER 3D 2.3 import to Sketchup 2021
par simjoubert Jeu 24 Nov 2022 - 17:38

» [ ARCHICAD-OBJETS GDL ] PARAM-O - Boite à Eau
par Coulou Jeu 24 Nov 2022 - 10:20

» [ ARCHICAD-IMPORT/EXPORT ] IMPORT FICHIER E57 - ECHEC CREATION FICHIER LCF
par Coulou Jeu 24 Nov 2022 - 9:01

» [ UNREAL ENGINE ] mise à jour vers la version 5.1 au top
par tenrev Jeu 24 Nov 2022 - 8:38

» [ AUTRES LOGICIELS ] Le rustique TinkerCad!
par tenrev Jeu 24 Nov 2022 - 7:56

» [ ARCHICAD ] Compatibilité Apple (M1 Max) et ArchiCad (25)
par Christophe Fortineau Mer 23 Nov 2022 - 22:15

» [ PRESENTATION ] Bonjour à tous.
par jerryvento Mer 23 Nov 2022 - 18:46

» [ TEXTURES ET SHADERS ] six ensembles de texture de parallaxe gratuites qui peuvent être utilisées pour créer instantanément de faux intérieurs 3D pour des bâtiments 3D
par tenrev Lun 21 Nov 2022 - 16:19

» [ WIP_ANIMATIONS ] Animations avec Enscape
par tenrev Lun 21 Nov 2022 - 15:07

» [ SKETCHUP Layout ] Symboles Électriques sur Layout
par tenrev Lun 21 Nov 2022 - 13:15

» [ SKETCHUP Layout ] symboles architecturaux layout
par Suncil Lun 21 Nov 2022 - 9:11

» [ SKETCHUP généralité ] Moteur de rendu VRAY ou ENSCAPE
par JDD Dim 20 Nov 2022 - 21:12

» [ SKETCHUP tutos ] Modelisation SketchUp d'un Building du quartier Ginza à Tokyo et Rendu Enscape
par JDD Dim 20 Nov 2022 - 17:30

» [ SKETCHUP généralité ] modèle SketchUp 3D dans la suite office de Microsoft
par simjoubert Sam 19 Nov 2022 - 8:25

» [ ARCHICAD-OBJETS GDL ] PARAM-O la programmation nodale dans Archicad
par archisky Ven 18 Nov 2022 - 12:03

» [ TWINMOTION ] Version 2022.2.2 et MàJ Datasmith
par Pistou Jeu 17 Nov 2022 - 11:52

» [ PHOTOSHOP ] retouche de photos avec Ai et Photoshop
par tenrev Lun 14 Nov 2022 - 7:30

» [ CHAINE TWITCH ] Partie 2 import dans sketchup de quixel via transmutr
par simjoubert Lun 14 Nov 2022 - 7:04

» [ SKETCHUP plugins ] sj_AddDCFunctions
par simjoubert Dim 13 Nov 2022 - 16:22

» [ CHAINE TWITCH ] live du 10 nov 2022 14 h - import d'assets Quixel avec Transmutr
par tenrev Jeu 10 Nov 2022 - 15:50

» [ SKETCHUP généralité ] Vlog SketchUp 3D Basecamp Adebeo
par Nicolas Adebeo Jeu 10 Nov 2022 - 8:47

» [ AUTRES LOGICIELS ] Quixel mixer 2021 vient de sortir
par tenrev Mer 9 Nov 2022 - 12:23

» [ SKETCHUP LIVE COMPONENT ] former une courbe avec plusieurs courbes
par tenrev Mer 9 Nov 2022 - 9:06

» [ SKETCHUP LIVE COMPONENT ] Simon on parle de toi
par youyou40 Lun 7 Nov 2022 - 17:36

» [ CHAINE TWITCH ] replay du live 05 nov 2022
par tenrev Dim 6 Nov 2022 - 23:22

» [ ARCHICAD ] [ IFC ] [ ARCHICAD 26 ] [ AC26 ] [ CLASSIFICATION ] [ EVEBIM ]
par Christophe Fortineau Ven 4 Nov 2022 - 13:14

» [ SKETCHUP vray ] Vantage , rendu temps réel avec live link dans sketchup
par tenrev Ven 4 Nov 2022 - 9:01

» [ SKETCHUP LIVE COMPONENT ] Projection sphérique ou origami d'un rectangle en sphere
par simjoubert Jeu 3 Nov 2022 - 15:34

» [ SKETCHUP LIVE COMPONENT ] Mur Courbe avec Projection cylindrique de matériaux
par tenrev Jeu 3 Nov 2022 - 15:27

» [ CHAINE TWITCH ] live à 13h30 du 31/10/2022
par tenrev Mer 2 Nov 2022 - 16:28

» [ CHAINE TWITCH ] live du samedi 29/10/2022 live components
par tenrev Lun 31 Oct 2022 - 12:55

Sondage

Chaine Twitch

Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c1019%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 19% [ 6 ]
Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c1013%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 13% [ 4 ]
Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c103%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 3% [ 1 ]
Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c1010%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 10% [ 3 ]
Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c106%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 6% [ 2 ]
Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c1010%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 10% [ 3 ]
Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c1032%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 32% [ 10 ]
Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c106%Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit - Page 2 Poll_c10 6% [ 2 ]

Total des votes : 31

chaine sketchup.tv

Suite du Plugin de Ga, Import d'un composant avec mise à l'échelle suivant un gabarit

Page 2 sur 2 Précédent  1, 2

Voir le sujet précédent Voir le sujet suivant Aller en bas

ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Jeu 14 Jan 2010 - 12:03

regarde le script fr_clinetool.zip c'est exactement ce qui serait super bien de faire pour nos composants, non ?
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Jeu 14 Jan 2010 - 18:22

ah ah je pense avoir trouver l'api pour notre problème de rotation regarde ceci InputPoint.position
et InputPoint.pick
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 18 Jan 2010 - 20:51

Salut Ga,
voila peut-être une solution pour pouvoir choisir ton composant au travers d'un webdialog
La rotation fonctionne mais je ne la maitrise pas moqueur moqueur

Code:

      def routine
      model = Sketchup.active_model
      entities = model.active_entities
      definitions = model.definitions
      selection = model.selection
      nom_comp = UI.openpanel "Choix du Composant", "C:\\Program Files\\Google\\Google SketchUp 7\\Components\\Perso", "*.skp"
      componentdefinition = definitions.load nom_comp

      edge = selection[0]
      verticies = edge.vertices
      vertex0 = verticies[0]
      position0 = vertex0.position
      vertex1 = verticies[1]
      position1 = vertex1.position
      vecteur0 = position0.vector_to position1
      gabarit = edge.length

      point = Geom::Point3d.new verticies[0]
      trans = Geom::Transformation.new point
      instance = entities.add_instance componentdefinition, trans
      long_comp = instance.bounds.height
      coefficient = gabarit / long_comp
      long_max_comp = instance.bounds.max
      long_min_comp = instance.bounds.max
      vecteur2 = long_min_comp.vector_to long_max_comp
      etir_comp = Geom::Transformation.scaling position0, 1.0, coefficient, 1.0
      instance.transform! (etir_comp)
      vecteur1 = Geom::Vector3d.new vecteur0
      vecteur3 = Geom::Vector3d.new vecteur2
      angle =  vecteur1.angle_between vecteur3
      t = Geom::Transformation.rotation position0, vecteur1, angle
      instance.transform! (t)

      end


          if( not file_loaded?("zzz.rb") )
            UI.add_context_menu_handler do |context_menu|
            context_menu.add_separator
            context_menu.add_item("Insérer un composant ici") { routine }
          end
          file_loaded("zzz.rb")
      end
     

@+
Christophe
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Lun 18 Jan 2010 - 22:03

Ben sa donne des figures rigolottes ce script ...........

J'ai essayé
Code:
UI.openpanel "Choix du Composant", "C:\\Program Files\\Google\\Google SketchUp 7\\Components\\Perso", "*.skp"
mais dans une inputbox mais biensur sa ne fonctionné pas car il me renvoyé tout le chemin dans "results" alors que toi tu la mis directement dans une variable sans inputbox bravo2 bien penser .....
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 18 Jan 2010 - 22:14

On peut dans une inputbox en construisant un popup avec find_support_files pour extraire les fichiers du répertoire
Je suis parvenu a extraire les fichiers *.skp mais pas à construire la liste il faut séparer les "*.skp" avec "|" et la méthode join, mais je n'y suis pas arrivé
Par exemple Arrow "Chevrons.skp|Chevrons2.skp|Solives.skp"
@+
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 20 Jan 2010 - 22:38

Voila l'ami,

j'ai pratiquement réglé le problème de la rotation, sauf quand le gabarit n'est pas horizontal scratch scratch
Maintenant le composant importé se met parfaitement à l'échelle du gabarit et s'aligne dessus

A tester Basketball Basketball

Code:

def routine
      model = Sketchup.active_model
      entities = model.active_entities
      definitions = model.definitions
      selection = model.selection
      nom_comp = UI.openpanel "Choix du Composant", "C:\\Program Files\\Google\\Google SketchUp 7\\Components\\Perso", "*.skp"
      componentdefinition = definitions.load nom_comp
      edge = selection[0]
      verticies = edge.vertices
      vertex0 = verticies[0]
      position0 = vertex0.position
      vertex1 = verticies[1]
      position1 = vertex1.position
      vecteur0 = position0.vector_to position1
      vecteur0 = Geom::Vector3d.new vecteur0
      gabarit = edge.length
      point = Geom::Point3d.new verticies[0]
      trans = Geom::Transformation.new point
      instance = entities.add_instance componentdefinition, trans
      long_comp = instance.bounds.height
      coefficient = gabarit / long_comp
      etir_comp = Geom::Transformation.scaling position0, 1.0, coefficient, 1.0
      instance.transform! (etir_comp)
      coin0 = instance.bounds.corner 0
      coin1 = instance.bounds.corner 2
      vecteur1 = coin0.vector_to coin1
      vecteur1 = Geom::Vector3d.new vecteur1
      angle =  vecteur0.angle_between vecteur1
      t = Geom::Transformation.rotation position0, [0, 0, 1], -angle
      instance.transform! (t)

end

          if( not file_loaded?("zzz.rb") )
            UI.add_context_menu_handler do |context_menu|
                                        context_menu.add_separator
                                        context_menu.add_item("Insérer un composant ici") { routine }
            end
          file_loaded("zzz.rb")
          end
 

@+

Christophe
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Jeu 21 Jan 2010 - 20:41

_Tu as bossé comme un fou c.plassais tu es sur tout les posts bien
Merci d'y passer autant de temps , malheureusement je n'en n'ai pas tros en semaine,du temps, je rentre pas bien avant 19h00 aprés ben j'ai ma petite famille alors la soirée est vite torchée , donc il ne me reste que les weekends pour regarder tout ça alors n'avance pas tros vite car sinon je vais être à la rue en moins de 2 fou .
doucement c.plassais doucement mdr2

-------------------------------------------------------------------------------------------------------------------------
_"Ne compte pas les jours, fais en sorte que chaque jour compte"
Bonne journée à vous !!!!!

Jérôme
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Jeu 21 Jan 2010 - 21:15

Ca me laisse le temps pour trouver une solution, mais je galère pour trouver l'astuce.
La classe Transformation n'est pas si complete et en plus pas trop documentée, d'ailleurs TIG à crée une extension pour cette classe, mais j'avoue que je ne capte rien
http://forums.sketchucation.com/viewtopic.php?p=190874
http://forums.sketchucation.com/download/file.php?id=34806

La solution est quelque part <<ICI>>
J'arrive à gerer sur un plan mais pas dans l'espace.
C'est pourtant pas trop compliqué tu determines un point de pivot un angle et un axe de pivot, il faudrait pouvoir faire varier z si le gabarit n'est pas horizontal. On renseigne un vecteur je ne comprends pas que cela ne suffise pas??
Mais je vais trouver

@+

Christophe

Page 2 sur 2 Précédent  1, 2

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum